Skip to content

Scan a URL to auto-detect marketing vendors

POST
/v1/domains/scan
curl --request POST \
--url https://api.monita.ai/v1/domains/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "url": "example" }'
Media typeapplication/json
object
url
required
string
>= 1 characters <= 500 characters
Examplegenerated
{
"url": "example"
}

Scan result

Media typeapplication/json
object
url
required
string
detectedVendors
required
Array<object>
object
key
additional properties
nullable
screenshotBase64
string
warning
string
Examplegenerated
{
"url": "example",
"detectedVendors": [
{
"additionalProperty": "example"
}
],
"screenshotBase64": "example",
"warning": "example"
}

Invalid URL

Media typeapplication/json
object
error
required
string
Examplegenerated
{
"error": "example"
}